Package org.springframework.test.json

# Enum Class JsonCompareMode

java.lang.Object
java.lang.Enum<JsonCompareMode>
org.springframework.test.json.JsonCompareMode

All Implemented Interfaces:
  `Serializable`, `Comparable<JsonCompareMode>`, `Constable`

public enum JsonCompareMode extends Enum<JsonCompareMode>
Modes that can be used to compare JSON.

Since:
  6.2
Author:
  Phillip Webb

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LENIENT`
Lenient checking.
`STRICT`
Strict checking.

## Method Summary

Modifier and Type
Method
Description
`static JsonCompareMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JsonCompareMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRICT

public static final JsonCompareMode STRICT
Strict checking.

### LENIENT

public static final JsonCompareMode LENIENT
Lenient checking.

## Method Details

### values

public static JsonCompareMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JsonCompareMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null